import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [{
        path: '/',
        name: 'Home',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/home')
    },
    {
        path: '/subscribe-info',
        name: 'subscribeInfo',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/subscribe-info')
    },
    {
        path: '/business-end',
        name: 'business-end',
        component: () =>
            import ( /* webpackChunkName: "about" */ '../views/business-end')
    },
]

const router = new VueRouter({
    mode: 'hash',
    base: '/',
    routes
})

export default router